/*
 * Copyright 2005 Jeremias Maerki
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.maerki.jaxg.batik;

import java.io.File;

import org.xml.graphics.XGProcessorFactory;
import org.xml.graphics.test.XGProcessorHandlerTest;

/**
 * @author Jeremias Maerki
 */
public class BatikXGProcessorHandlerPDFTest extends XGProcessorHandlerTest {

    protected File getTestFile() {
        return new File(basedir, "tck/test/xml/asf-logo.svg");
    }

    protected XGProcessorFactory getFactory() {
        XGProcessorFactory factory = new BatikXGProcessorFactory();
        //factory.setAttribute("avalon-logger", new NullLogger());
        return factory;
    }
}
