/*
 * Copyright 2004-2005 Jeremias Maerki
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.maerki.jaxg.fop.branch;

import org.apache.avalon.framework.logger.NullLogger;
import org.xml.graphics.XGProcessorFactory;
import org.xml.graphics.test.XGProcessorTest;

/**
 * @author Jeremias Maerki
 */
public class BranchXGProcessorTest extends XGProcessorTest {

    protected XGProcessorFactory getFactory() {
        XGProcessorFactory factory = new FopBranchXGProcessorFactory();
        factory.setAttribute("avalon-logger", new NullLogger());
        return factory;
    }

}
