/*
 * Copyright 2004-2005 Jeremias Maerki
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.maerki.jaxg.foray;

import java.io.File;

//import org.apache.avalon.framework.logger.NullLogger;

import org.maerki.jaxg.foray.FOrayXGProcessorFactory;

import org.xml.graphics.XGProcessorFactory;
import org.xml.graphics.test.XGProcessorHandlerTest;

/**
 * @author Jeremias Maerki
 */
public class FOrayXGProcessorHandlerTest extends XGProcessorHandlerTest {

    protected XGProcessorFactory getFactory() {
        XGProcessorFactory factory = new FOrayXGProcessorFactory();
        //factory.setAttribute("avalon-logger", new NullLogger());
        factory.setAttribute("userconfig", 
                new File("C:/Dev/Java/workspace/JAFOP-Foray/config/foray-config.xml"));
        return factory;
    }
}
